%define gitver %(echo %version | cut -d. -f1)
Name:          cldr-emoji-annotation
Version:       47
Release:       1mamba
Summary:       Emoji annotation files in CLDR
Group:         Applications/Fonts
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://home.unicode.org/basic-info/projects/#!/repos/cldr/trunk/common/annotations/
Source:        https://github.com/unicode-org/cldr.git/release-%{gitver}/cldr-%{version}.tar.bz2
License:       Unicode
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
Emoji annotation files in CLDR.

%prep
%setup -q -n cldr-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
ANNOTATION_DIR=common/annotations
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml $RPM_BUILD_ROOT$CLDR_DIR/$xml
done
popd

ANNOTATION_DIR=common/annotationsDerived
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml $RPM_BUILD_ROOT$CLDR_DIR/$xml
done
popd

DTD_DIR=common/dtd
CLDR_DIR=%{_datadir}/unicode/cldr/$DTD_DIR
pushd $DTD_DIR
for dtd in *.dtd ; do
    install -pm 644 -D $dtd $RPM_BUILD_ROOT$CLDR_DIR/$dtd
done
popd

install -pm 755 -d $RPM_BUILD_ROOT%{_datadir}/pkgconfig
cat >> $RPM_BUILD_ROOT%{_datadir}/pkgconfig/%{name}.pc <<_EOF
prefix=/usr

Name: cldr-emoji-annotations
Description: annotation files in CLDR
Version: 47
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_datadir}/unicode/cldr
%dir %{_datadir}/unicode/cldr/common
%dir %{_datadir}/unicode/cldr/common/annotations
%{_datadir}/unicode/cldr/common/annotations/*.xml
%dir %{_datadir}/unicode/cldr/common/annotationsDerived
%{_datadir}/unicode/cldr/common/annotationsDerived/*.xml
%dir %{_datadir}/unicode/cldr/common/dtd
%{_datadir}/unicode/cldr/common/dtd/*
%{_datadir}/pkgconfig/cldr-emoji-annotation.pc
%doc LICENSE

%changelog
* Sun Mar 16 2025 Automatic Build System <autodist@openmamba.org> 47-1mamba
- automatic version update by autodist

* Wed Dec 25 2024 Automatic Build System <autodist@openmamba.org> 46.1-1mamba
- automatic version update by autodist

* Sun Apr 21 2024 Automatic Build System <autodist@openmamba.org> 45-2mamba
- automatic version update by autodist

* Sat Apr 20 2024 Automatic Build System <autodist@openmamba.org> 45-1mamba
- automatic version update by autodist

* Fri Dec 15 2023 Automatic Build System <autodist@mambasoft.it> 44.1-1mamba
- automatic version update by autodist

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 44-1mamba
- automatic version update by autodist

* Thu Jun 22 2023 Automatic Build System <autodist@mambasoft.it> 43.1-1mamba
- automatic version update by autodist

* Thu Apr 07 2022 Automatic Build System <autodist@mambasoft.it> 41-1mamba
- automatic version update by autodist

* Mon Dec 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.0-1mamba
- update to 40.0

* Sat Jul 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 37.0_13.0_0_1-1mamba
- update to 37.0_13.0_0_1

* Mon Jan 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 36.12.120191002_0-1mamba
- package created using the webbuild interface
